Subject: Re: 29.1; highlighting bug in CPerl mode: here-document false positive
From: Harald Jörg <[email-masked]>
To: [email-masked]
Date: Sat, 14 Oct 2023 18:03:10 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for spotting this.  Indeed, the "<<" has been mistaken as a
here-document starter.

In particular, CPerl mode treated it as a here-document with an empty
delimiter: In "<<5", the "5" is not a valid identifier.  A line checking
for digits following the "<<" has been commented out in 1999 for reasons
unrecoverable by now, but luckily this check is not required.

Empty, unquoted delimiters have been deprecated in Perl in 2013 and are
illegal as of Perl 5.28.  They are now no longer allowed in CPerl mode
as well, which avoids mis-interpreting the code from the bug report.

This also fixes the display of the mailgraph script.

Therefore, I'm closing this bug report.

-- 
Cheers,
haj